//#include <viewpac.h>
#include "..\..\lib\vp2k.h"
#include "..\..\lib\vp2k_lcd.h"

void main(void)
{ 
    unsigned freq,period;
    int quit=0;
  
    InitLib();
    LCD_Init();

    freq=2000;
    period=50;

    LCD_PutsAt(0,0,"F1 to quit",0);
  
    while(!quit)
    {
        if(ReadKey()==F1_KEY) quit=1;
        Delay(500);
        freq+=300;
        if(freq>=5000) freq=200;
        Sound(freq,period);
    }
}
